#
# spec file for package exfat-utils
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           exfat-utils
Version:        1.1.1
Release:        1.1
License:        GPL-2.0+
Url:            http://code.google.com/p/exfat/
Summary:        Tools for the exFAT file system implementation
Group:          System/Filesystems
Source0:        exfat-utils-%{version}.tar.gz
BuildRequires:  fuse-devel >= 2.6
BuildRequires:  scons
BuildRequires:  gzip
Requires:       fuse >= 2.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This project aims to provide a full-featured exFAT file system
implementation for GNU/Linux and other Unix-like systems as a FUSE
module and a set of utilities.

%prep
%setup -q

%build
scons \
	CCFLAGS="-D_FILE_OFFSET_BITS=64 -std=c99 %{optflags}"

%install
scons install DESTDIR=%{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man8
gzip -9 -c dump/dumpexfat.8 > %{buildroot}%{_mandir}/man8/dumpexfat.8.gz
gzip -9 -c fsck/exfatfsck.8 > %{buildroot}%{_mandir}/man8/exfatfsck.8.gz
gzip -9 -c mkfs/mkexfatfs.8 > %{buildroot}%{_mandir}/man8/mkexfatfs.8.gz
gzip -9 -c label/exfatlabel.8 > %{buildroot}%{_mandir}/man8/exfatlabel.8.gz
pushd %{buildroot}%{_mandir}/man8
ln -s {exfatfsck,fsck.exfat}.8.gz
ln -s {mkexfatfs,mkfs.exfat}.8.gz
popd

%files
%defattr(-,root,root,-)
%{_sbindir}/*
%{_mandir}/man8/*

%changelog
* Mon Jan 19 2015 joerg.lorenzen@ki.tng.de
- Update to version 1.1.1:
  + Fixed mkfs crash on some sectors-per-cluster (-s option) values
* Fri Aug  8 2014 olaf@aepfle.de
- Initial version fuse-exfat-1.1.0
